AiCrmChat
Stored in the aicrmchats collection. createdAt and updatedAt are maintained automatically.
Returned by GET /ai-crm-chat, POST /ai-crm-chat, POST /ai-crm-chat/:id/message.
| Field | Type | Notes |
|---|---|---|
company | ObjectId -> Company | required |
member | ObjectId -> Member | required |
title | string | default New chat |
lastMessageAt | date | default now |
messageCount | number | default 0 |
isDeleted | boolean | default false |
deletedAt | date | default null |
deletedBy | ObjectId -> Member | default null |
counted | boolean | default true |
limitReason | string | default null |
createdBy | ObjectId -> Member | required |
updatedBy | ObjectId -> Member | default null |
_id | ObjectId | default "6a95712f932657988a91c01f" |
createdAt | date | set once |
updatedAt | date |